<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/PTree/Atoms.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/Atoms.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/PTree/Atoms.hh</h1><div><a href="../../../Source/Synopsis/PTree/Atoms.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="NodesFwd.hh.html" >Synopsis/PTree/NodesFwd.hh</a></li>
<li>include <a href="Node.hh.html" >Synopsis/PTree/Node.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/CommentedAtom.html" >CommentedAtom</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/DupAtom.html" >DupAtom</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Identifier.html" >Identifier</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Keyword.html" >Keyword</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/KeywordT.html" >KeywordT</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Literal.html" >Literal</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/UserKeyword.html" >UserKeyword</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::CommentedAtom</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/CommentedAtom.html#my_comments" >my_comments</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::Literal</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Literal.html#my_type" >my_type</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::PTree::UserKeyword</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/UserKeyword.html#my_type" >my_type</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::CommentedAtom</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/CommentedAtom.html#CommentedAtom_lconst.Token_A_cNode_S_r" >CommentedAtom&#40;const&#160;Token&amp;&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/CommentedAtom.html#CommentedAtom_lconst.char_S_csize_t_cNode_S_r" >CommentedAtom&#40;const&#160;char*&#44;size_t&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/CommentedAtom.html#set_comments_lNode_S_r" >set_comments&#40;Node*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::DupAtom</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/DupAtom.html#DupAtom_lconst.char_S_csize_t_r" >DupAtom&#40;const&#160;char*&#44;size_t&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/DupAtom.html#DupAtom_lconst.char_S_csize_t_cconst.char_S_csize_t_r" >DupAtom&#40;const&#160;char*&#44;size_t&#44;const&#160;char*&#44;size_t&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Keyword</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Keyword.html#Keyword_lconst.char_S_cint_r" >Keyword&#40;const&#160;char*&#44;int&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::PTree::Literal</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Literal.html#Literal_lconst.Token_A_r" >Literal&#40;const&#160;Token&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Literal.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree/Literal.html#type_l_rconst" >type&#40;&#41;const</a>
<div class="doc"></div></div>
</div>

</body>
</html>
